# List prepaid balances Lists Prepaid Balance objects. You can use the query parameters to filter, expand, and sort the returned results. Endpoint: GET /object-query/prepaid-balances Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. Supported sortable fields: - id - startdate - accountid - origsubscriptionid - uom - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "account", "origsubscription" - `filter[]` (array) A case-insensitive filter on the list. Supported filterable fields: - id - startdate - accountid - origsubscriptionid - uom - {indexedcustomfield}: Use the format like customField__c to filter on custom fields. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `nextPage` (string,null) A string that can be used as the cursor value to retrieve the next page of the response if it exists; otherwise absent. - `data` (array) - `data.id` (string) The unique identifier of the prepaid balance. - `data.createdById` (string) The unique identifier of the user who created the payment application. - `data.createdDate` (string) The date and time when the payment application was created. - `data.updatedById` (string) The unique identifier of the user who last updated the payment application. - `data.updatedDate` (string) The date and time when the payment application was last updated. - `data.name` (string) The name of the prepaid balance. - `data.totalFund` (number) The total amount of all prepaid balance funds. - `data.balance` (number) The current prepaid balance. - `data.endDate` (string) End date of the validity period. - `data.startDate` (string) Start date of the validity period. - `data.accountId` (string) The ID of the customer account to which the prepaid balance belongs. - `data.origSubscriptionId` (string) If it belongs to a subscription, the original subscription ID. - `data.uOM` (string) The units of measure for prepayment charge. Units of measure are configured in the web-based UI. Your values depend on your configuration in Billing Settings. Values: a valid unit of measure - `data.prepaidBalanceState` (string) The state of the prepaid balance. Enum: "ACTIVE", "EXPIRED" - `data.prepaidType` (integer,null) The type of the prepaid balance. - `data.account` (object) - `data.account.id` (string) The unique identifier of the account. - `data.account.createdById` (string) The unique identifier of the user who created the account. - `data.account.createdDate` (string) The date and time when the account was created. - `data.account.updatedById` (string) The unique identifier of the user who last updated the account. - `data.account.updatedDate` (string) The date and time when the account was last updated. - `data.account.accountNumber` (string) The account number that identifies the account. - `data.account.additionalEmailAddresses` (string) An additional email address to receive email notifications. - `data.account.allowInvoiceEdit` (boolean) Indicates whether associated invoices can be edited. - `data.account.autoPay` (boolean) Indicates whether future payments are automatically collected when they are due during a payment run. - `data.account.balance` (number) The customer's total invoice balance minus credit balance. - `data.account.batch` (string) The alias name given to a batch. A string of 50 characters or less. - `data.account.bcdSettingOption` (string) The billing cycle day setting option for the account. Enum: "ManualSet", "AutoSet" - `data.account.billCycleDay` (integer) Billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. - `data.account.billToId` (string) The unique identifier of the bill-to contact associated with the account. - `data.account.communicationProfileId` (string) The unique identifier of the communication profile that Zuora uses when sending notifications to the account's contacts. - `data.account.creditBalance` (number) The current credit balance on the account. - `data.account.crmId` (string) External identifier of the account in a CRM system. - `data.account.currency` (string) A currency defined in the web-based UI administrative settings. - `data.account.customerServiceRepName` (string) Name of the account's customer service representative, if applicable. - `data.account.defaultPaymentMethodId` (string) ID of the default payment method for the account. - `data.account.eInvoiceProfileId` (string) ID of the e-invoice profile for this account. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `data.account.invoiceDeliveryPrefsEmail` (boolean) Indicates whether the customer wants to receive invoices through email. - `data.account.invoiceDeliveryPrefsPrint` (boolean) Whether the customer wants to receive printed invoices, such as through postal mail. - `data.account.invoiceTemplateId` (string) Invoice template ID, configured in Billing Settings in the Zuora UI. - `data.account.lastInvoiceDate` (string) Date of the most recent invoice for the account; null if no invoice has ever been generated. - `data.account.lastMetricsUpdate` (string) The date and time when account metrics are last updated, if the account is a partner account. Note: - This field is available only if you have the Reseller Account feature enabled. - If you ever set the partnerAccount field to true for an account, the value of lastMetricsUpdate field is the time when the account metrics are last updated. - `data.account.name` (string) The name of the account. - `data.account.notes` (string) A string of up to 65,535 characters. - `data.account.organizationId` (string) The unique identifier of the organization to which the account belongs. - `data.account.parentId` (string) Identifier of the parent customer account for this Account object. The length is 32 characters. Use this field if you have Customer Hierarchy enabled. - `data.account.partnerAccount` (boolean) Whether the customer account is a partner, distributor, or reseller. Note: This field is available only if you have the Reseller Account feature enabled. - `data.account.paymentMethodCascadingConsent` (boolean) true indicates the consent from your customer to use the Cascading Payment Method feature was collected. false indicates the consent was not collected and the Cascading Payment Method feature is not enabled. - `data.account.purchaseOrderNumber` (string) The purchase order number provided by your customer for services, products, or both purchased. - `data.account.salesRepName` (string) Name of the account's sales representative, if applicable. - `data.account.sequenceSetId` (string,null) The ID of the billing document sequence set to assign to the customer account. The billing documents to generate for this account will adopt the prefix and starting document number configured in the sequence set. If a customer account has no assigned billing document sequence set, billing documents generated for this account adopt the prefix and starting document number from the default sequence set. - `data.account.shipToId` (string) The unique identifier of the ship-to contact associated with the account. - `data.account.soldToId` (string) The unique identifier of the sold-to contact associated with the account. - `data.account.status` (string) The account status. Enum: "Active", "Draft", "Canceled" - `data.account.taxCompanyCode` (string) Unique code that identifies a company account in Avalara. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com). - `data.account.taxExemptCertificateID` (string) ID of the customer tax exemption certificate. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptCertificateType` (string) Type of tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptDescription` (string) Description of the tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptEffectiveDate` (string) Date when the customer tax exemption starts, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptEntityUseCode` (string) A unique entity use code to apply exemptions in Avalara AvaTax. See Exempt Transactions for more details. - `data.account.taxExemptExpirationDate` (string) Date when the customer tax exemption expires, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptIssuingJurisdiction` (string) Jurisdiction in which the customer tax exemption certificate was issued. - `data.account.taxExemptStatus` (string) Status of the account tax exemption. Applicable if you use Zuora Tax or Connect tax engines. Required if you use Zuora Tax. Enum: "No", "Yes", "PendingVerification" - `data.account.totalInvoiceBalance` (number) Total balance of all posted invoices. - `data.account.unappliedBalance` (number) Total unapplied balance in this currency. - `data.account.vATId` (string) EU Value Added Tax ID. - `data.account.mrr` (number) Monthly recurring revenue for the account. - `data.account.totalDebitMemoBalance` (number) Total balance of all posted debit memos. - `data.account.unappliedCreditMemoAmount` (number) The total unapplied amount of all posted credit memos in this currency. - `data.account.creditMemoTemplateId` (string) ID of the credit memo template that is used to generate credit memos for the account. - `data.account.debitMemoTemplateId` (string) ID of the debit memo template that is used to generate debit memos for the account. - `data.account.paymentGateway` (string) The name of the payment gateway instance. If null or left unassigned, the account will use the default gateway. - `data.account.paymentTerm` (string) A payment-terms indicator defined in the web-based UI administrative settings, for example, Net 30. - `data.account.billTo` (object) The bill-to contact on this account. - `data.account.shipTo` (object) The ship-to contact on the account. - `data.account.soldTo` (object) The sold-to contact on the account. - `data.account.defaultPaymentMethod` (object) The default payment method associated with the account. - `data.account.subscriptions` (array) The subscriptions associated with the account. - `data.account.payments` (array) The payments associated with the account. - `data.account.refunds` (array) The refunds associated with the account. - `data.account.creditMemos` (array) The credit memos associated with the account. - `data.account.debitMemos` (array) The debit memos associated with the account. - `data.account.invoices` (array) The invoices associated with the account. - `data.account.usages` (array) The usage records associated with the account. - `data.account.paymentMethods` (array) The payment methods associated with the account. - `data.origSubscription` (object) - `data.origSubscription.id` (string) The unique identifier of the subscription. - `data.origSubscription.createdById` (string) The unique identifier of the user who created the subscription. - `data.origSubscription.createdDate` (string) The date and time when the subscription was created in the Zuora system, in the yyyy-mm-dd hh:mm:ss format. - `data.origSubscription.updatedById` (string) The unique identifier of the user who last updated the subscription. - `data.origSubscription.updatedDate` (string) The date and time when the subscription was last updated, in the yyyy-mm-dd hh:mm:ss format. - `data.origSubscription.accountId` (string) The ID of the account associated with this subscription. - `data.origSubscription.autoRenew` (boolean) If true, the subscription automatically renews at the end of the term. - `data.origSubscription.cancelledDate` (string) The date on which the subscription was canceled. - `data.origSubscription.contractAcceptanceDate` (string) The date when the customer accepts the contract, in the yyyy-mm-dd format. If this field is not set: - If the serviceActivationDate field is not set, the value of this field is set to be the contract effective date. - If the serviceActivationDate field is set, the value of this field is set to be the service activation date. The billing trigger dates must follow this rule: contractEffectiveDate <= serviceActivationDate <= contractAcceptanceDate - `data.origSubscription.contractEffectiveDate` (string) The date when the subscription is activated, in the yyyy-mm-dd format. You must specify a Service Activation date if the Customer Acceptance date is set. If the Customer Acceptance date is not set, the value of the serviceActivationDate field defaults to be the Contract Effective Date. The billing trigger dates must follow this rule: contractEffectiveDate <= serviceActivationDate <= contractAcceptanceDate - `data.origSubscription.creatorAccountId` (string) The ID of the account that created the subscription. This field is automatically populated with the ID of the account that creates the subscription. Note: This field is not available for single version subscriptions. - `data.origSubscription.creatorInvoiceOwnerId` (string) The account ID that owns the invoices associated with the subscription or the amended subscription. Note: This field is not available for single version subscriptions. - `data.origSubscription.currentTerm` (integer) The length of the period for the current subscription term. - `data.origSubscription.currentTermPeriodType` (string) The period type for the current subscription term. Enum: "Month", "Year", "Day", "Week" - `data.origSubscription.initialTerm` (integer) The length of the period for the initial subscription term. - `data.origSubscription.initialTermPeriodType` (string) The period type for the first subscription term. Enum: "Month", "Year", "Day", "Week" - `data.origSubscription.invoiceOwnerId` (string) The account ID that owns the invoices associated with the subscription. - `data.origSubscription.isInvoiceSeparate` (boolean) Determines if the subscription is invoiced separately. If true, then all charges for this subscription are collected into the subscription's own invoice. - `data.origSubscription.isSingleVersioned` (boolean) If true, the subscription is a single version subscription. - `data.origSubscription.name` (string) The name of the subscription. - `data.origSubscription.notes` (string) Additional information about the subscription. - `data.origSubscription.originalCreatedDate` (string) The date when the subscription was originally created. This value is the same as the createdDate value until the subscription is amended. - `data.origSubscription.originalId` (string) The original rate plan charge ID. Only available for update subscription. Note: This field is not available for single version subscriptions. - `data.origSubscription.previousSubscriptionId` (string) The ID of the previous subscription. This field is only available if the subscription is a renewal subscription. Note: This field is not available for single version subscriptions. - `data.origSubscription.renewalSetting` (string) Specifies whether a termed subscription will remain TERMED or change to EVERGREEN when it is renewed. Enum: "RENEW_WITH_SPECIFIC_TERM", "RENEW_TO_EVERGREEN" - `data.origSubscription.renewalTerm` (integer) The length of the period for the subscription renewal term. - `data.origSubscription.renewalTermPeriodType` (string) The period type for the subscription renewal term. Enum: "Month", "Year", "Day", "Week" - `data.origSubscription.revision` (string) An auto-generated decimal value uniquely tagged with a subscription. The value always contains one decimal place, for example, the revision of a new subscription is 1.0. If a further version of the subscription is created, the revision value will be increased by 1. Also, the revision value is always incremental regardless of deletion of subscription versions. - `data.origSubscription.serviceActivationDate` (string) The date on which the services or products within a subscription have been activated and access has been provided to the customer, in the yyyy-mm-dd format. - `data.origSubscription.status` (string) Subscription status. Enum: "Draft", "Pending Activation", "Pending Acceptance", "Active", "Cancelled", "Suspended" - `data.origSubscription.isLatestVersion` (boolean) If true, the current subscription object is the latest version. Note: This field is not available for single version subscriptions. - `data.origSubscription.subscriptionEndDate` (string) The date when the subscription term ends, where the subscription ends at midnight the day before. For example, if the subscriptionEndDate is 12/31/2016, the subscriptions ends at midnight (00:00:00 hours) on 12/30/2016. This date is the same as the term end date or the cancelation date, as appropriate. - `data.origSubscription.subscriptionStartDate` (string) Date the subscription becomes effective. - `data.origSubscription.subscriptionVersionAmendmentId` (string) The ID of the amendment made to this subscription version. Note: This field is not available for single version subscriptions. - `data.origSubscription.termEndDate` (string) Date the subscription term ends. If the subscription is evergreen, this is null or is the cancellation date (if one has been set). - `data.origSubscription.termStartDate` (string) Date the subscription term begins. If this is a renewal subscription, this date is different from the subscription start date. - `data.origSubscription.termType` (string) The type of the subscription term. Enum: "TERMED", "EVERGREEN" - `data.origSubscription.version` (integer) This is the subscription version automatically generated by Zuora Billing. Each order or amendment creates a new version of the subscription, which incorporates the changes made in the order or amendment. - `data.origSubscription.cMRR` (number) Monthly recurring revenue of the subscription. - `data.origSubscription.billToContactSnapshotId` (string) The ID of the bill-to contact snapshot. - `data.origSubscription.billToContactId` (string) The ID of the bill-to contact for the subscription. - `data.origSubscription.invoiceTemplateId` (string) The ID of the invoice template associated with the subscription. Note: - If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Template from Account for this field during subscription creation, the value of this field is automatically set to null in the response body. - `data.origSubscription.sequenceSetId` (string,null) The ID of the sequence set associated with the subscription. Note: - If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Set from Account for this field during subscription creation, the value of this field is automatically set to null in the response body. - `data.origSubscription.shipToContactId` (string) The ID of the ship-to contact for the subscription. - `data.origSubscription.shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot. - `data.origSubscription.soldToContactId` (string) The ID of the sold-to contact for the subscription. - `data.origSubscription.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot. - `data.origSubscription.externallyManagedBy` (string) An enum field on the Subscription object to indicate the name of a third-party store. This field is used to represent subscriptions created through third-party stores. Enum: "Amazon", "Apple", "Google", "Roku" - `data.origSubscription.lastBookingDate` (string) The last booking date of the subscription object. This field is writable only when the subscription is newly created as a first version subscription. You can override the date value when creating a subscription through the Subscribe and Amend API or the subscription creation UI (non-Orders). Otherwise, the default value today is set per the user's timezone. The value of this field is as follows: * For a new subscription created by the [Subscribe and Amend APIs](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Migration_Guidance#Subscribe_and_Amend_APIs_to_Migrate), this field has the value of the subscription creation date. * For a subscription changed by an amendment, this field has the value of the amendment booking date. * For a subscription created or changed by an order, this field has the value of the order date. - `data.origSubscription.invoiceScheduleId` (string) The ID of the invoice schedule associated with the subscription. If multiple invoice schedules are created for different terms of a subscription, this field stores the latest invoice schedule. Note: This field is available only if you have the Billing Schedule feature enabled. - `data.origSubscription.cancelReason` (string) The reason for a subscription cancellation copied from the changeReason field of a Cancel Subscription order action. This field contains valid value only if a subscription is cancelled through the Orders UI or API. Otherwise, the value for this field will always be null. - `data.origSubscription.prepayment` (boolean) Whether the subscription is prepaid. - `data.origSubscription.currency` (string) The currency of the subscription. Note: This field is available only if you have the Multiple Currencies feature enabled. - `data.origSubscription.orderId` (string) The ID of the order associated with the subscription. Note: This field is available only for orders that exist after the end of June 2023. - `data.origSubscription.rampId` (string) The ID of the ramp object associated with the subscription. Note: This field is available only if you have the Ramp feature enabled. - `data.origSubscription.paymentTerm` (string) Name of the payment term associated with the account. For example, "Net 30". The payment term determines the due dates of invoices. - `data.origSubscription.quoteNumber__QT` (string) The unique identifier of the Quote. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `data.origSubscription.quoteType__QT` (string) The Quote type that represents the subscription lifecycle stage such as New, Amendment, Renew or Cancel. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `data.origSubscription.quoteBusinessType__QT` (string) The specific identifier for the type of business transaction the Quote represents such as New, Upsell, Downsell, Renewal or Churn. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `data.origSubscription.opportunityName__QT` (string) The unique identifier of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `data.origSubscription.opportunityCloseDate__QT` (string) - `data.origSubscription.cpqBundleJsonId__QT` (string) The Bundle product structures from Zuora Quotes if you utilize Bundling in Salesforce. Do not change the value in this field. - `data.origSubscription.account` (object) The subscription owner account associated with the subscription. - `data.origSubscription.invoiceOwner` (object) The invoice owner account associated with the subscription. - `data.origSubscription.billToContact` (object) The bill-to contact who pays the billing documents for this subscription. - `data.origSubscription.invoiceItems` (array) The invoice items associated with the subscription. - `data.origSubscription.ratePlans` (array) The rate plans associated with the subscription. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.